package com.bonus.canteen.core.order.deprecated.vo;

import com.bonus.canteen.core.order.android.vo.OrderCallListVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class OrdCallListVO {
   @ApiModelProperty("订单id(消费详情id)")
   private Long ordId;
   @ApiModelProperty("档口叫号号码")
   private String shopstallCallNum;
   @ApiModelProperty("下单人员姓名")
   private String placeOrdName;
   @ApiModelProperty("档口名称")
   private String shopstallName;
   @ApiModelProperty("订单状态")
   private Integer ordState;
   @ApiModelProperty("档口id")
   private Long shopstallId;

   public static OrdCallListVO of(OrderCallListVO orderCallListVO) {
      OrdCallListVO vo = new OrdCallListVO();
      vo.setOrdId(orderCallListVO.getOrderId());
      vo.setShopstallCallNum(orderCallListVO.getMealCode());
      vo.setPlaceOrdName(orderCallListVO.getCustName());
      vo.setShopstallName(orderCallListVO.getStallName());
      vo.setOrdState(orderCallListVO.getOrdState());
      vo.setShopstallId(orderCallListVO.getStallId());
      return vo;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getShopstallCallNum() {
      return this.shopstallCallNum;
   }

   public String getPlaceOrdName() {
      return this.placeOrdName;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public Integer getOrdState() {
      return this.ordState;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setShopstallCallNum(final String shopstallCallNum) {
      this.shopstallCallNum = shopstallCallNum;
   }

   public void setPlaceOrdName(final String placeOrdName) {
      this.placeOrdName = placeOrdName;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

}
